## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests included in the pypi source yet.
%bcond_with     tests

%global         srcname     azure-mgmt-recoveryservicesbackup

Name:           python-%{srcname}
Version:        9.1.0
Release:        %autorelease
Summary:        Microsoft Azure Recovery Services Backup Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-recoveryservices)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Recovery Services Backup Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:9.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:9.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:9.1.0-2
- Rebuilt for Python 3.13

* Tue May 07 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:9.1.0-1
- Update to version 9.1.0

* Tue Feb 06 2024 Major Hayden <major@redhat.com> - 1:8.0.0-1
- Update to 8.0.0 rhbz#2263011

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 1:7.0.0-1
- Update to 7.0.0 rhbz#2240840

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 1:6.0.0-4
- Switch source in pypi to tarball

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:6.0.0-2
- Rebuilt for Python 3.12

* Tue May 23 2023 Major Hayden <major@redhat.com> - 1:6.0.0-1
- Update to 6.0.0 rhbz#2209184

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:5.1.0-2
- S

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 1:5.1.0-1
- Update to 5.1.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:5.1.0~b1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 14 2022 Major Hayden <major@redhat.com> - 1:5.1.0~b1-1
- Update to 5.1.0~b1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:5.0.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:5.0.0-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> - 1:5.0.0-1
- Update to 5.0.0

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> - 1:4.1.1-1
- Update to 4.1.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> - 1:4.0.0-1
- Update to 4.0.0

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:3.0.0-1
- Update to 3.0.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1:0.15.0-1
- Update to 0.15.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:0.14.0-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:0.14.0-1
- Update to 0.14.0 and add tests

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.12.0-2
- Add epoch number for 0.12.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:0.12.0-1
- Downgrade to 0.12.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1.1.0-1
- Update to 1.1.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 1.0.0-1
- Initial commit (#1971846)
## END: Generated by rpmautospec
